Get liquid staking timeseries metric
curl --request GET \
--url https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/liquid-staking/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/liquid-staking/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/liquid-staking/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"points": [
[
1748736000,
22761102864.26649,
1330,
1835348.753554287,
1651813.8781988584,
0,
91767.43767771436,
91767.43767771436,
91767.43767771436,
189233113.92969185,
101239456.37317504,
22761102864.26649,
47,
2
],
[
1748822400,
23363076836.42409,
1084,
1900743.218883489,
1710668.8969951402,
0,
95037.16094417444,
95037.16094417444,
95037.16094417444,
192594105.0918525,
103106824.41447283,
23363076836.42409,
47,
13
],
[
1748908800,
23247114036.77201,
1272,
1925329.8937241207,
1732796.9043517092,
0,
96266.49468620606,
96266.49468620606,
96266.49468620606,
189940402.44262213,
102900996.68403544,
23247114036.77201,
47,
15
],
[
1748995200,
23411991686.46104,
1258,
1955163.0064544943,
1759646.705809045,
0,
97758.15032272472,
97758.15032272472,
97758.15032272472,
195340194.25026003,
103485785.0391747,
23411991686.46104,
47,
27
],
[
1749081600,
21675752707.232586,
1236,
1789552.671453664,
1610597.4043082977,
0,
89477.6335726832,
89477.6335726832,
89477.6335726832,
177521769.77210322,
98442875.58483006,
21675752707.232586,
48,
46
]
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "TVL 24 Hour USD",
"slug": "tvl24HourUsd",
"description": "Total Value Locked in USD.",
"is_timestamp": false
},
{
"name": "Active Addresses 24 Hour",
"slug": "activeAddresses24Hour",
"description": "Number of unique addresses interacting with the protocol.",
"is_timestamp": false
},
{
"name": "Fees 24 Hour USD",
"slug": "fees24HourUsd",
"description": "Total fees generated by the protocol in USD.",
"is_timestamp": false
},
{
"name": "Fees Supply Side 24 Hour USD",
"slug": "feesSupplySide24HourUsd",
"description": "Fees paid to liquidity providers in USD.",
"is_timestamp": false
},
{
"name": "Token Incentives 24 Hour USD",
"slug": "tokenIncentives24HourUsd",
"description": "Value of token incentives distributed by the protocol.",
"is_timestamp": false
},
{
"name": "Expenses 24 Hour USD",
"slug": "expenses24HourUsd",
"description": "Total expenses incurred by the protocol in USD.",
"is_timestamp": false
},
{
"name": "Cost of Revenue",
"slug": "costOfRevenue",
"description": "Cost of revenue in USD for liquid staking protocols.",
"is_timestamp": false
},
{
"name": "Gross Profit 24 Hour USD",
"slug": "grossProfit24HourUsd",
"description": "Gross profit in USD for liquid staking protocols.",
"is_timestamp": false
},
{
"name": "Treasury USD",
"slug": "treasuryUsd",
"description": "Value of assets held in the protocol treasury in USD.",
"is_timestamp": false
},
{
"name": "Treasury Net USD",
"slug": "treasuryNetUsd",
"description": "Net treasury value in USD.",
"is_timestamp": false
},
{
"name": "Assets Staked",
"slug": "assetsStaked",
"description": "Value of assets staked in USD for liquid staking protocols.",
"is_timestamp": false
},
{
"name": "Core Developers",
"slug": "coreDevelopers",
"description": "Number of active core developers.",
"is_timestamp": false
},
{
"name": "Core Commits 24 Hour",
"slug": "coreCommits24Hour",
"description": "Number of code commits.",
"is_timestamp": false
}
],
"granularity": "1d"
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Liquid Staking
Get Liquid Staking Timeseries Metric
Returns a timeseries metric for a specific liquid staking protocol. Protocol data represents an aggregation of all deployments across all chains.
GET
/
metrics
/
v2
/
protocols
/
{protocolIdentifier}
/
metrics
/
liquid-staking
/
time-series
/
{granularity}
Get liquid staking timeseries metric
Authorizations
Path Parameters
Protocol identifier (ID or slug)
Example:
"lido-dao"
Granularity
Available options:
1d Example:
"1d"
Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

